package kindle.test.jni;

public class JniLibrary implements IJniLibrary {
	public JniLibrary() {}

	static {
		String loc = JniLibrariesManager.getInstance().getLibLocation("kindle.test.jni.JniLibrary");
		if(null != loc) {
			if(loc.endsWith(".so"))	{
				//lib is in whole name with extension so we need to use load
				System.load(loc);
			} else {
				//lib is in short form so we have to use loadLibrary
				System.loadLibrary(loc);
			}
		}
    }

    public void finalize() {}

	public native boolean isGreaterThan100(String text);
	public native String converCase(boolean b, String text);
	public native String add5Numbers(int b1,int b2,int b3,int b4,int b5);
}
